Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
butc Interface Reference

## Classes
struct | afsNetAddr
struct | tc_dumpArray
struct | tc_dumpDesc
struct | tc_dumpInterface
struct | tc_dumpStat
struct | tc_restoreArray
struct | tc_restoreDesc
union | tc_statusInfoSwitch
struct | tc_statusInfoSwitchLabel
struct | tc_statusInfoSwitchVol
struct | tc_tapeLabel
struct | tc_tapeSet
struct | tc_tcInfo
struct | tciStatusS

## Public Member Functions
WERROR | BUTC_PerformDump ([ref, in] tc_dumpInterface *tcdiPtr, [ref, in] tc_dumpArray *dumps, [ref, out] int32 *dumpID)
WERROR | BUTC_PerformRestore ([in] butcNameString_t *dumpSetName, [ref, in] tc_restoreArray *restores, [ref, out] int32 *dumpID)
WERROR | BUTC_AbortDump ([in] int32 dumpID)
WERROR | BUTC_LabelTape ([ref, in] tc_tapeLabel *label, [ref, out] uint32 *taskId)
WERROR | BUTC_ReadLabel ([ref, out] uint32 *taskId)
WERROR | BUTC_ScanDumps ([in] int32 addDbFlag, [ref, out] uint32 *taskId)
WERROR | BUTC_TCInfo ([ref, out] tc_tcInfo *tciptr)
WERROR | BUTC_SaveDb ([ref, out] uint32 *taskId)
WERROR | BUTC_RestoreDb ([ref, out] uint32 *taskId)
WERROR | BUTC_EndStatus ([in] uint32 taskId)
WERROR | BUTC_GetStatus ([in] uint32 taskId, [ref, out] tciStatusS *statusPtr)
WERROR | BUTC_RequestAbort ([in] uint32 taskId)
WERROR | BUTC_ScanStatus ([ref, in, out] uint32 *taskId, [ref, out] tciStatusS *statusPtr, [ref, in, out] uint32 *flags)
WERROR | BUTC_GetServerInterfaces ()

## Public Attributes
const long | TC_DEFAULT_STACK_SIZE = 153600
const long | TC_MAXGENNAMELEN = 512
const long | TC_MAXDUMPPATH = 256
const long | TC_MAXNAMELEN = 128
const long | TC_MAXFORMATLEN = 100
const long | TC_MAXHOSTLEN = 128
const long | TC_MAXTAPELEN = 256
const long | TC_STAT_DONE = 1
const long | TC_STAT_OPRWAIT = 2
const long | TC_STAT_DUMP = 4
const long | TC_STAT_ABORTED = 8
const long | TC_STAT_ERROR = 16
const long | TSK_STAT_FIRST = 0x1
const long | TSK_STAT_END = 0x2
const long | TSK_STAT_NOTFOUND = 0x4
const long | TCOP_NONE = 0
const long | TCOP_READLABEL = 1
const long | TCOP_LABELTAPE = 2
const long | TCOP_DUMP = 3
const long | TCOP_RESTORE = 4
const long | TCOP_SCANTAPE = 5
const long | TCOP_SAVEDB = 6
const long | TCOP_RESTOREDB = 7
const long | TCOP_STATUS = 8
const long | TCOP_SPARE = 9
typedef | bitmap

## Member Data Documentation

typedef butc::bitmap

Initial value:
{
TC_RESTORE_CREATE = 0x00000001,
TC_RESTORE_INCR = 0x00000002
} butc_Restore_flags

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/dcerpc/butc/butc.idl